//------------------------------------------------------------------------------------
// irr::gui::IGUIToolBar wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

// do not delete this pointer
extern "C" 
{
	IGUIButton* IrrGUI_IGUIToolBar_addButton(
		IGUIToolBar* tb,
		s32 id=-1,
		const c8* text=0,
		const c8* tooltiptext=0,
		ITexture* img=0,
		ITexture* pressedimg=0,
		bool isPushButton=false, 
		bool useAlphaChannel=false)
	{
		stringw w_text = text;
		stringw w_tooltiptext = tooltiptext;
		if (tb)
			return tb->addButton(id,w_text.c_str(),w_tooltiptext.c_str(),img,pressedimg,isPushButton,useAlphaChannel);
		else
			return 0;
	}
}
